Welcome to StuffIt Expander

StuffIt Expander is an easy to use file decompression and decoding tool. It uses a simple drag and drop interface, and best of all is completely free. StuffIt Expander is available for Macintosh, Linux, and Solaris as well as windows. For more information on StuffIt Expander, please visit www.stuffit.com.

This help system is designed to provide information about using StuffIt Expander, and about file compression in general. If you don't find the answer to your question in this help system, Aladdin maintains a tech support web site that contains answers to many Frequently Asked Questions (FAQs) about StuffIt Expander. Click here to visit the StuffIt Expander online tech support pages.

Copyright © 2002 by Aladdin Systems, Inc. All Rights reserved.


Expanding

Expanding Archives and Encoded Files

The StuffIt Application provides several ways to expand archives, encoded, and compressed files.

In a Windows Explorer Folder:

Double Click: When the archive or encoded file is associated with the StuffIt application, you can expand by double-clicking it. When you first start using StuffIt Expander, a tutorial mode dialog will ask you where you would like to save the files that are expanded from the archive. You can choose to have the files automatically expanded to the same location as the archive file, or you can choose a different location. If you select to turn tutorial mode off, the response you give for the current expansion job will be used as the default the next time you expand a file.

Tip: You can turn tutorial mode back on again in the General Tab of the Options dialog.

The StuffIt application will display a progress bar while expanding the file, you can stop the expansion of files by clicking the "Cancel" button.

Right Click: When you right click an archive or encoded file, you can choose the Expand command to start the expansion of your files. As above, when you start using StuffIt Expander a tutorial mode dialog will ask you where you would like to save the files that expanded from the archive.

In the StuffIt Expander Application:

Drag and Drop: When you launch the StuffIt Expander application, the user interface consists of a drag and drop window. You can expand archives, encoded, and compressed files by dragging and dropping them into this window. As above, when you start using StuffIt Expander a tutorial mode dialog will ask you where you would like to save the files that expanded from the archive.


Supported Files

StuffIt Expander allows you to expand a wide range of archives, compressed, and encoded files.

Supported Archive Types:

  • Zip (.zip) - Includes encrypted zip files. StuffIt Expander does not support joining spanned zip archives.

  • StuffIt (.sit, .sea, .exe, .sit.1) - Includes encrypted and segmented archives.

  • StuffIt X (.sitx) - Includes encrypted and segmented archives.

  • Tar (.tar)

  • Arc (.arc)

  • Arj (.arj)

  • Compact Pro (.cpt)

  • Lha (.lha, .lzh)

  • Rar (.rar) - StuffIt Expander does not currently support RAR archives that require WinRAR 3.0 to be opened.

Supported Encoded File Types:

  • AppleSingle (.as)

  • AppleDouble (.ad)

  • Base64 (.mme, .mm, .b64)

  • BinHex (.hqx)

  • MacBinary (.bin)

  • UUEncoded (.uu, .uue)

Supported Compressed File Types

  • Bzip2 (.bz2)

  • Gzip (.gz)

  • Unix (.Z)

  • Private File (.pf)


General

General Tab

The General tab contains settings that apply broadly across the application.

Check for New Versions of StuffIt at Application Launch: When this option is set, the StuffIt application will check online at every launch to see if a newer version is available. If a newer version is found you will be asked if you would like to download and install it.

Show Tooltips: Tool tips are the small yellow text tags that appear when you hover the mouse over an object in the StuffIt user interface. Check or un-check the box to show or hide tool tips.

Create Desktop Icons for Expander: This button will create desktop icons called StuffIt Expander and DropStuff. You can drag and drop archives and Encoded files to the StuffIt Expander desktop icon to expand them, or you can drag and drop files and folders to the DropStuff icon to create archives.

Reset Tutorial Mode: Tutorial mode is where the StuffIt application will ask you how you would like some basic compression and decompression tasks to be performed. Once you have answered these questions once, tutorial mode is turned off. If you would like to turn tutorial mode back on (for example if you are a new user working with an existing copy of StuffIt on a computer that belongs to somebody else) click this button.


Desination

Destination

Same as Original: When this option is selected, files extracted from the archive will be saved in the same folder as the archive itself.

Ask Each Time: When this option is selected, the StuffIt application will ask each time where to save files after an archive has been expanded.

Use: This option allows the user to specify that the same location be used to save files every time an archive is expanded. This option can be used, for example, to save files from expanded archives in the My Documents folder.

Copyright © 2002 by Aladdin Systems Inc. All Rights Reserved.


Expansion Options

The Expansion tab contains settings that apply when you expand archives and encoded files.

Continue to Expand when the result is a Single File: This option is designed to allow the StuffIt application to automatically expand a zip file that has been .uu encoded. When this option is checked, when StuffIt expands and archive or encoded file, and finds that the result is a single file, it will automatically check to see if that single file can be further expanded.

Delete Intermediate files that have been further expanded: When this option is set, the StuffIt application will automatically delete the intermediate file created in the example above. For example, if StuffIt expands a UUcode file which contains a zip archive, and then goes on to expand the zip archive, the zip archive will be deleted when its contents have been successfully extracted.

Delete original file after successful expansion: When this option is set, StuffIt will automatically delete expanded archives and encoded files.

Create Surrounding folder: This option is used to determine whether files being expanded from an archive should be placed in a newly created folder. The following options are available:

  • Always; the surrounding folder is always created.

  • Never; the surrounding folder is not created.

  • When Archive contains multiple items; a folder will be created only when the archive being expanded contains multiple items.


XPlatform

Cross Platform Tab

The Cross platform tab contains settings that effect how the StuffIt application will handle files originating from a platform other than Windows. The settings in this tab make it easy for you to exchange files with users who work with Macintosh, Linux, or other Unix based systems.

Convert Text Files to Windows Format

This option can be used to convert text files originating from other platforms so that they are displayed correctly on a Windows based computer. Macintosh, Windows, and Unix based systems all use different characters in a plain text file to signify that a line break should appear. This setting will change the characters used on Macintosh and Unix systems to the character used on Windows. The following settings are available:

When a file is known to contain text: The StuffIt application will scan all files extracted from an archive and try to determine if they contain text. If it is determined that the file contains text, the StuffIt application will attempt to reformat that text to be displayed correctly on Windows computers.

Never: The file will not be altered. This setting is the default, and is best for general use.

Save Macintosh Files in MacBinary Format

Macintosh files are different from Windows files. They contain both a data fork and a resource fork. A Windows formatted hard drive is not able to preserve the resource fork of a Macintosh file, and therefore the resource fork will be lost. Some Macintosh files will work correctly without their data fork, others (including all Macintosh applications) will not. If the archive you are expanding contains Macintosh files, this setting will cause those files to be MacBinary encoded so that they will work correctly when they are transferred to a Macintosh. The following settings are available:

When a File Contains a Resource Fork: Files being extracted from a StuffIt archive will only be MacBinary encoded when they are know to contain a resource fork.

Never: Files being extracted from an archive will never be MacBinary encoded when they are extracted from a StuffIt archive.

Always: Macintosh files will always be MacBinary encoded when they are extracted from an archive, whether or not they contain a resource fork.

Add File Extension

Files that originate from a Macintosh are often compatible with, and can be opened by, Windows applications. However, the problem that most users encounter when they try to open Macintosh files is that the Windows OS does not know what Windows application they should be opened with. This problem is caused by the fact that Windows and Macintosh based computers use different methods to tie a document to an application that is able to open it. A Windows computer uses file extensions (ie the letters at the end of a file name), while Macintosh computers use "Type and Creator" codes that are hidden in the files. The Add File Extension settings determine how the StuffIt application will handle the translation of Macintosh Type and Creator codes into Windows extensions. The following options are available:

Add if no Extension: When this option is selected, the StuffIt application will attempt to add a Windows extension to a file name if none exists.

Never: When this option is selected, the StuffIt application will never try to add a Windows extension.

Always (add or replace): When this option is selected, the StuffIt application will always create a Windows extension for a file. If an existing extension is found, it is replaced.


Associations

Associations Tab

The Associations tab governs what types of files the Windows OS will attempt to open with the StuffIt application when they are double clicked. The Associations page is laid out so that every supported format has a check box. The description of each format that is provided also includes a list of the file extensions that files in this format are known to use. In many cases, a particular file type will have more than one extension.

When the box is checked, files in this format will be opened with the StuffIt application. When the box is unchecked, the StuffIt application will not be used to open this type of file. You can assign a file type to StuffIt by checking its box. The changes are not made until you click the OK button to exit the dialog. You can cancel any changes before you click the OK button, by clicking the Cancel button. When you click the Cancel button, all changes will be lost.

The "Select All File Associations" buttons will cause all supported formats to be associated with the StuffIt application.


StuffIt X: Coming Soon!

StuffIt Expander 8.0 was released, primarily, to provide support for expanding StuffIt X archives. StuffIt X is a revolutionary new archive file format from Aladdin Systems, that utilizes ATOM compression technology. StuffIt X provides the following benefits over .zip and other archive formats:

  • Strong Encryption: The StuffIt X file format provides 512 bit encryption to protect your sensitive data. This is a significant improvement over the 40 bit encryption offered by the StuffIt and Zip formats.

  • Error Recovery: Users looking to protect their files against corruption can choose to create StuffIt X archives with error recovery. If your archives become corrupted as a result of transfer errors or bad media, StuffIt can recover the missing information.

  • Support for large archive size: StuffIt and Zip archives are each subject to a file size limitation that prevents you from creating an archive larger than 2Gb in size. The StuffIt X file format has no such limitation, and will allow you to create archives that are up to terabytes in size.

  • Better Compression: StuffIt X uses the ATOM compression engine to deliver best in class compression. The ATOM compressor can be configured to deliver compression that is around 30% more efficient that existing StuffIt archives, and 50% more efficient that zip.

Look for the ability to create StuffIt X archives with the release of StuffIt Deluxe 8.0 early in 2003.


Contacting Aladdin

How to Contact Aladdin

Aladdin Systems, Inc.

245 Westridge Drive

Watsonville, CA 95076

USA

Phone: 1+ 831-761-6200

Fax: 1+ 831-761-6206

Corporate: http://www.aladdinsys.com

StuffIt Product Information: http://www.stuffit.com

For Sales Inquires:

sales@aladdinsys.com

http://www.aladdinsys.com/store

Technical Support

Please check our FAQ page for information on common issues and for information about available updates.

http://www.aladdinsys.com/support

Aladdin provides telephone support for all registered users.

831-761-6200 (Mon-Fri)